Skip to content

Create a signature for a human verification bond

POST
/signatures/humanity-bond
curl --request POST \
--url https://api.ethos.network/api/v2/signatures/humanity-bond \
--header 'Content-Type: application/json' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \
--data '{ "subjectProfileId": 1, "subjectUserkey": "example", "verificationMethod": "IRL", "comment": "example" }'

Creates a signed payload for submitting a HUMAN bond to the blockchain. The caller must then submit the bond to the blockchain themselves.

Media typeapplication/json
object
subjectProfileId
integer
> 0 <= 9007199254740991
subjectUserkey
string
verificationMethod
required
string
Allowed values: IRL VIDEO VOICE
comment
required
string
>= 1 characters

Successful response

Media typeapplication/json
object
statement
required
string
expiration
required
string
amount
required
string
amountType
required
string
metadata
required
string
randValue
required
number
signature
required

65-byte ECDSA signature (0x-prefixed hex, 132 chars)

string
bondType
required
string
Allowed value: HUMAN_VERIFICATION

Example

{
"bondType": "HUMAN_VERIFICATION"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}